#
Summary:	A Clamav Antivirus scanner for Squid 3.x
Summary(pl.UTF-8):	Skaner antywirusowy clamav dla Squida 3.x
Name:		squidclamav
Version:	6.16
Release:	1
License:	GPL v3
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/squidclamav/%{name}-%{version}.tar.gz
# Source0-md5:	d5c2e588b4162ed873aa678a47a65f0b
Patch0:		%{name}-build.patch
URL:		http://squidclamav.darold.net/
BuildRequires:	c-icap-devel
Requires:	c-icap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Clamav Antivirus scanner for Squid 3.x.

%description -l pl.UTF-8
Skaner antywirusowy clamav dla Squida 3.x.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/c-icap
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/squidclamav.conf
%{_sysconfdir}/c-icap/squidclamav.conf.default
%attr(755,root,root) %{_libdir}/c_icap/squidclamav.so
%attr(755,root,root) %{_libdir}/squidclamav
%{_datadir}/c_icap/templates/squidclamav
%{_mandir}/man1/squidclamav.1*
%changelog
* Sun Apr 16 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/squidclamav.git;a=log;h=master

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 89c8f6e
- up to 6.16

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> 77c678a
- up to 6.10

* Tue Mar 22 2011 hawk <hawk@pld-linux.org> 8d61ca5
- use proper path for config during install
- pldize config file

* Tue Mar 22 2011 hawk <hawk@pld-linux.org> fee2ec1
- simple build fix

* Tue Mar 22 2011 hawk <hawk@pld-linux.org> 752b7c1
- updated to 6.2
- squidclamav is no longer standalone application, it is now service
  for c-icap so we don't need squid or curl to get it running
- WARNING! automatic upgrade is not possible due to above change

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> bfb35c8
- up to 4.0

* Wed Oct 22 2008 areq <areq@pld-linux.org> bf983f1
- 3.7

* Thu Oct 02 2008 areq <areq@pld-linux.org> 87856db
- 3.6

* Mon Sep 08 2008 dzeus <dzeus@pld-linux.org> 7697434
- rel. 2

* Tue Aug 26 2008 dzeus <dzeus@pld-linux.org> 8dc0a65
- rel. 1

* Sun Jun 22 2008 blekot <blekot@pld-linux.org> 25aef40
- up to 3.5
- TODO still exist (no idea what to do!?)

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> e1d8167
- up to 3.2

* Wed Jun 13 2007 Andrzej Zawadzki <zawadaa@gmail.com> 2f259a7
- obsolete

* Wed Jun 13 2007 Andrzej Zawadzki <zawadaa@gmail.com> 1a60e4f
- up to 3.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 13d0ed6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 026ace5
- converted to UTF-8

* Sun Jul 09 2006 dzeus <dzeus@pld-linux.org> 57aa655
- up to 2.3

* Sat Dec 31 2005 dzeus <dzeus@pld-linux.org> 0c8d587
- up to 2.2

* Sat Dec 31 2005 dzeus <dzeus@pld-linux.org> 4052c68
- up to 2.2, Changelog added

* Mon Dec 19 2005 adasi <adasi@pld-linux.org> 15bc69f
- INSTALL contains squid configuration instructions

